Bug 970149 - I can't login to desktop and I get only gray screen after I locked session (system, screen)
I can't login to desktop and I get only gray screen after I locked session (s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 10:36 EDT by Pavel Studeník
Modified: 2014-02-05 16:38 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:38:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Studeník 2013-06-03 10:36:48 EDT
Description of problem:
I locked system and after some minutes I tried to login. I can see only gray screen and cursor. I must restart gnome-shell (DISPLAY=:0.0 gnome-shell -r) from terminal (ctr+alt+Fx)

Version-Release number of selected component (if applicable):
gnome-shell-3.6.3.1-1.fc18.x86_64

How reproducible:
4/5

Steps to Reproduce:
1. locked screen
2. wait some minutes
3. try to login

Actual results:
gray screen after login

Expected results:
I login to destop

Additional info:

Varování správce oken: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x3200003 (Předvolby)
Varování správce oken: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
      JS LOG: System monitor applet disable
      JS LOG: System monitor applet enabling
      JS LOG: System monitor applet enabling done
      JS LOG: System monitor applet disable
    JS ERROR: !!!   Exception in callback for signal: unlocked
    JS ERROR: !!!     message = '"incorrect pop"'
    JS ERROR: !!!     fileName = '"/usr/share/gnome-shell/js/ui/main.js"'
    JS ERROR: !!!     lineNumber = '638'
    JS ERROR: !!!     stack = '"popModal([object _private_St_Widget])@/usr/share/gnome-shell/js/ui/main.js:638
()@/usr/share/gnome-shell/js/ui/screenShield.js:869
wrapper()@/usr/share/gjs-1.0/lang.js:204
()@/usr/share/gnome-shell/js/ui/screenShield.js:839
wrapper()@/usr/share/gjs-1.0/lang.js:204
([object Object])@/usr/share/gnome-shell/js/ui/screenShield.js:719
wrapper([object Object])@/usr/share/gjs-1.0/lang.js:204
_emit("unlocked")@/usr/share/gjs-1.0/signals.js:124
([object Object])@/usr/share/gnome-shell/js/ui/unlockDialog.js:276
wrapper([object Object])@/usr/share/gjs-1.0/lang.js:204
_emit("verification-complete")@/usr/share/gjs-1.0/signals.js:124
([object _private_Gdm_UserVerifierProxy],"gdm-password")@/usr/share/gnome-shell/js/gdm/util.js:328
wrapper([object _private_Gdm_UserVerifierProxy],"gdm-password")@/usr/share/gjs-1.0/lang.js:204
"'
Varování správce oken: Log level 8: meta_end_modal_for_plugin: assertion `compositor->modal_plugin == plugin' failed
    JS ERROR: !!!   Exception in callback for signal: Unlock
    JS ERROR: !!!     message = '"incorrect pop"'
    JS ERROR: !!!     fileName = '"/usr/share/gnome-shell/js/ui/main.js"'
    JS ERROR: !!!     lineNumber = '638'
    JS ERROR: !!!     stack = '"popModal([object _private_St_Widget])@/usr/share/gnome-shell/js/ui/main.js:638
()@/usr/share/gnome-shell/js/ui/screenShield.js:869
wrapper()@/usr/share/gjs-1.0/lang.js:204
([object _private_Gio_DBusProxy],":1.3",[object Array])@/usr/share/gnome-shell/js/ui/screenShield.js:426
_emit("Unlock",":1.3",[object Array])@/usr/share/gjs-1.0/signals.js:124
_convertToNativeSignal([object _private_Gio_DBusProxy],":1.3","Unlock",[object _private_GLib_Variant])@/usr/share/gjs-1.0/overrides/Gio.js:126
"'
Varování správce oken: Log level 8: meta_end_modal_for_plugin: assertion `compositor->modal_plugin == plugin' failed
    JS ERROR: !!!   Exception in callback for signal: Unlock
    JS ERROR: !!!     message = '"incorrect pop"'
    JS ERROR: !!!     fileName = '"/usr/share/gnome-shell/js/ui/main.js"'
    JS ERROR: !!!     lineNumber = '638'
    JS ERROR: !!!     stack = '"popModal([object _private_St_Widget])@/usr/share/gnome-shell/js/ui/main.js:638
()@/usr/share/gnome-shell/js/ui/screenShield.js:869
wrapper()@/usr/share/gjs-1.0/lang.js:204
([object _private_Gio_DBusProxy],":1.3",[object Array])@/usr/share/gnome-shell/js/ui/screenShield.js:426
_emit("Unlock",":1.3",[object Array])@/usr/share/gjs-1.0/signals.js:124
_convertToNativeSignal([object _private_Gio_DBusProxy],":1.3","Unlock",[object _private_GLib_Variant])@/usr/share/gjs-1.0/overrides/Gio.js:126
"'
Varování správce oken: Log level 8: g_source_remove: assertion `tag > 0' failed
Comment 1 Fedora End Of Life 2013-12-21 08:50:21 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 16:38:51 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.